/*  File drawmap-menu.h  */

#define NUMITEMS 14

#define COLOR_F  0                     /* menu selections */
#define FLAT     1
#define MERCATOR 2
#define GLOBE    3
#define ORBITAL  4
#define ZOOM_IN  5
#define ZOOM_OUT 6
#define BOX      7
#define GRID     8
#define FLOOD    9
#define SHADOW  10
#define TEXT    11
#define COLORS  12
#define CLEARS  13

#define MWIDTH 95                      /* width of menu */

struct IntuiText map_CLEARS_text = {   /*  POP-UP MENU TEXT  */
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Clear",
   NULL
};

struct IntuiText map_COLORS_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Colors",
   NULL
};

struct IntuiText map_TEXT_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Text",
   NULL
};

struct IntuiText map_SHADOW_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Shadow",
   NULL
};

struct IntuiText map_FLOOD_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Flood Fill",
   NULL
};

struct IntuiText map_GRID_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Grid",
   NULL
};

struct IntuiText map_BOX_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Box",
   NULL
};

struct IntuiText map_ZOOM_OUT_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Zoom Out",
   NULL
};

struct IntuiText map_ZOOM_IN_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Zoom In",
   NULL
};

struct IntuiText map_ORBITAL_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Orbital",
   NULL
};

struct IntuiText map_GLOBE_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Globe",
   NULL
};

struct IntuiText map_MERCATOR_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Mercator",
   NULL
};

struct IntuiText map_FLAT_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Flat",
   NULL
};

struct IntuiText map_COLOR_F_text = {
   (UBYTE) 0, (UBYTE) 1,
   JAM1,
   (SHORT) 10, (SHORT) 2,
   NULL,
   (UBYTE *) "Color-Fill",
   NULL
};

struct MenuItem map_CLEARS = {
   NULL,
   (SHORT) 0, (SHORT) 10*CLEARS,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_CLEARS_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_COLORS = {
   &map_CLEARS,
   (SHORT) 0, (SHORT) 10*COLORS,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_COLORS_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_TEXT = {
   &map_COLORS,
   (SHORT) 0, (SHORT) 10*TEXT,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_TEXT_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_SHADOW = {
   &map_TEXT,
   (SHORT) 0, (SHORT) 10*SHADOW,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_SHADOW_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_FLOOD = {
   &map_SHADOW,
   (SHORT) 0, (SHORT) 10*FLOOD,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_FLOOD_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_GRID = {
   &map_FLOOD,
   (SHORT) 0, (SHORT) 10*GRID,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_GRID_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_BOX = {
   &map_GRID,
   (SHORT) 0, (SHORT) 10*BOX,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_BOX_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_ZOOM_OUT = {
   &map_BOX,
   (SHORT) 0, (SHORT) 10*ZOOM_OUT,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_ZOOM_OUT_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_ZOOM_IN = {
   &map_ZOOM_OUT,
   (SHORT) 0, (SHORT) 10*ZOOM_IN,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_ZOOM_IN_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_ORBITAL = {
   &map_ZOOM_IN,
   (SHORT) 0, (SHORT) 10*ORBITAL,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_ORBITAL_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_GLOBE = {
   &map_ORBITAL,
   (SHORT) 0, (SHORT) 10*GLOBE,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_GLOBE_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_MERCATOR = {
   &map_GLOBE,
   (SHORT) 0, (SHORT) 10*MERCATOR,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_MERCATOR_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_FLAT = {
   &map_MERCATOR,
   (SHORT) 0, (SHORT) 10*FLAT,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED),
   (LONG) 0,
   (APTR) &map_FLAT_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct MenuItem map_COLOR_F = {
   &map_FLAT,
   (SHORT) 0, (SHORT) 10*COLOR_F,
   (SHORT) MWIDTH, (SHORT) 10,
   (USHORT) (ITEMTEXT | HIGHCOMP | ITEMENABLED | CHECKIT | CHECKED |
             MENUTOGGLE),
   (LONG) 0,
   (APTR) &map_COLOR_F_text,
   NULL,
   (BYTE) 0,
   NULL,
   (USHORT) 0
};

struct Menu map_menu = {
   NULL,
   (SHORT) -1 * ((10*NUMITEMS + POPTITLEHEIGHT) / 2),
   (SHORT) -1 * POPTITLEHEIGHT / 2,
   (SHORT) MWIDTH, (SHORT) 10*NUMITEMS + POPTITLEHEIGHT,
   (USHORT) (MENUENABLED | POPTIDY | POPPOINTREL | POPRIGHTBUTTON | 
        POPTRIGGERUP),
   (BYTE *) "Map Menu",
   &map_COLOR_F
};
